## NAME

db.dropcolumn - Drops a column from selected attribute table.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.dropcolumn
db.dropcolumn --help
db.dropcolumn [-f] table=name column=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  Force removal (required for actual deletion of files)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

table=name [required]
  Name of attribute table
column=name [required]
  Name of attribute column

## DESCRIPTION

db.dropcolumn drops a column from an attribute table. If the -f force flag is not given then nothing is removed, instead a preview of the action to be taken is printed.

## NOTES

db.dropcolumn is a front-end to db.execute to allow easier usage with a special workaround for the SQLite driver to support column drop also for SQLite tables.

## EXAMPLE

Dropping a column (North Carolina sample dataset):

    # work on own copy
    g.copy vect=roadsmajor,myroads
    db.describe -c myroads

    # only shows what would happen:
    db.dropcolumn myroads column=SHAPE_LEN

    # actually drops the column
    db.dropcolumn -f myroads column=SHAPE_LEN

    db.describe -c myroads

## SEE ALSO

db.describe, db.droptable, db.execute, v.db.dropcolumn, GRASS SQL interface

## AUTHOR

Markus Neteler

Last changed: $Date$

## SOURCE CODE

Available at: db.dropcolumn source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual